---
title: "List Group Members"
slug: "list-group-members"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# List Group Members

Get/api/v1/groups.members

Lists the members of a private group.

Permission required if the room is broadcast.: `view-broadcast-member-list`

### Changelog

| Version | Description |
| --- | --- |
| 0.59.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstring

The room ID. It is required if the `roomName` is not provided.

Exampledlpfuijw7ej
roomNamestring

The room name. It is required if the `roomId` is not provided.

Examplegeneral
sort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
statusarray of string

The user's status (search filter).

Example["online", "away"]
filterstring

Extra search filters to be applied to the fields defined in the `Accounts_SearchFields` setting.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='56105b51-68d0-41e7-a064-1742f7d140b5'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e02a7e49-4bcb-4cc2-b6c9-c43ed597f43c'>Success</option>
</select>Success

```json
{
  "members": [
    {
      "_id": "Q4GkX6RMepGDdQ7YJ",
      "status": "online",
      "name": "Marc Pow",
      "utcOffset": -3,
      "username": "marc.pow"
    },
    {
      "_id": "rocket.cat",
      "name": "Rocket.Cat",
      "username": "rocket.cat",
      "status": "online",
      "utcOffset": 0
    }
  ],
  "count": 2,
  "offset": 0,
  "total": 2,
  "success": true
}
```

Expand Allobject  members Array of object   object  _idstring    
statusstring    
namestring    
utcOffsetinteger    
usernamestring    

countinteger    
offsetinteger    
totalinteger    
successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='100a373a-7dbb-4667-9098-20e4ce8b446a'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='20fa102d-e0a7-413f-8e8a-8790834fa8fb'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]",
  "errorType": "error-room-param-not-provided"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='b03c5039-c76c-4ee2-b5f1-dc637622cad0'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='de75d190-dddd-467f-95d5-556a41a232c6'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
